## `array::rbegin`

Return a reverse iterator to the first element of the reversed container.

### Synopsis

    array::reverse_iterator
    rbegin() noexcept; (1)

    array::const_reverse_iterator
    rbegin() const noexcept; (2)

### Description

The pointed-to element corresponds to the last element of the non-reversed container. If the container is empty, `rend()` is returned.

### Complexity

Constant.

### Exception Safety

No-throw guarantee.

Edit this page